﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI;

namespace tetrisuwp
{
    public class ShapeStruct
    {
        public ShapeStruct()
        {
            Left = 4;
            Top = 0;
        }

        public int Left { get; set; }
        public int Top { get; set; }
        public bool[,] Data { get; set; }
        public Color Color { get; internal set; }

        public void ChangeDirection()
        {
            if (Left + Data.GetLength(0) > 10)
            {
                return;
            }
            bool[,] temp = new bool[Data.GetLength(1), Data.GetLength(0)];


            for (var row = 0; row < Data.GetLength(0); row++)
            {
                for (var col = 0; col < this.Data.GetLength(1); col++)
                {
                    temp[col, Data.GetLength(0) - 1 - row] = this.Data[row, col];
                }
            }
            Data = temp;
        }

    }
}
